=== modified file 'bzrlib/tests/script.py'
--- bzrlib/tests/script.py	2009-11-08 20:28:36 +0000
+++ bzrlib/tests/script.py	2009-12-11 05:29:35 +0000
@@ -107,9 +107,11 @@
                 error = []
             error.append(line[2:] + '\n')
         else:
+            # can happen if the first line is not recognized as a command, eg
+            # if the prompt has leading whitespace
             if output is None:
                 if cmd_cur is None:
-                    raise SyntaxError('No command for that output',
+                    raise SyntaxError('No command for line %r' % (line,),
                                       (file_name, lineno, 1, orig))
                 output = []
             output.append(line + '\n')

